﻿using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.Wpf;

namespace _9586
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.Meter;

            GoogleMapsOverlay g = new GoogleMapsOverlay("YourID", "YourKey");
            map.Overlays.Add(g);

            map.CurrentExtent = new ThinkGeo.MapSuite.Shapes.RectangleShape(-2000000, 2000000, 2000000, -2000000);
            map.Refresh();
        }
    }
}
